Results 1 to 6 of 6

Thread: Points from Blocks

  1. #1
    All AUGI, all the time
    Join Date
    2009-11
    Location
    Raleigh, NC
    Posts
    944
    Login to Give a bone
    0

    Default Points from Blocks

    Is there a way to create a point from a block?

    *No point in the block.

  2. #2
    Certifiable AUGI Addict tedg's Avatar
    Join Date
    2005-06
    Location
    in the upper right corner
    Posts
    3,508
    Login to Give a bone
    0

    Default Re: Points from Blocks

    Quote Originally Posted by tim_newsome View Post
    Is there a way to create a point from a block?

    *No point in the block.
    Well you could redefine the block with a point or as a point

  3. #3
    I could stop if I wanted to
    Join Date
    2014-08
    Posts
    448
    Login to Give a bone
    0

    Default Re: Points from Blocks

    check the menubar drop utilities convert autocad points

  4. #4
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,805
    Login to Give a bone
    0

    Default Re: Points from Blocks

    Are you talking about an AutoCAD "Point" entity? Not Civil 3D cogo point, right?
    R.K. McSwain | CAD Panacea |

  5. #5
    I could stop if I wanted to
    Join Date
    2014-08
    Posts
    448
    Login to Give a bone
    0

    Default Re: Points from Blocks

    Hi
    Yes AutoCAD point entity

  6. #6
    100 Club JeffClark's Avatar
    Join Date
    2002-07
    Location
    South Jersey
    Posts
    152
    Login to Give a bone
    0

    Default Re: Points from Blocks

    Pretty basic Lisp Routine.
    Place point ("point" command) at insertion point of all blocks with a specified name.

    try this:

    Code:
    (defun C:PTBLK ()
     (setq BLKNAME (getstring "\nName of Block: "))
     (setq SS1 (ssget "X" (list (cons 2 BLKNAME))))
     (setq NUM (sslength SS1))
     (setq CNT 0)
       (while (< CNT NUM)
       (setq ENT (ssname SS1 CNT))
       (setq PT (cdr (assoc 10 (entget ENT))))
       (setq PT (strcat (rtos (nth 0 PT)) "," (rtos (nth 1 PT)) "," (rtos (nth 2 PT))))
       (command "POINT" PT)
       (setq CNT (+ 1 CNT))
     )
    )
    Last edited by p.vandeven754870; 2019-04-12 at 12:30 PM.

Similar Threads

  1. Extract Blocks from Points
    By Wish List System in forum Civil 3D Wish List
    Replies: 1
    Last Post: 2013-10-24, 07:55 PM
  2. my blocks have TWO grip points... :-\
    By gflores_84990321 in forum Dynamic Blocks - Technical
    Replies: 8
    Last Post: 2009-11-05, 09:36 PM
  3. Points as blocks or entities...
    By adam_J in forum AutoCAD Civil 3D - General
    Replies: 3
    Last Post: 2009-09-10, 12:08 PM
  4. Blocks to Points
    By eckdahlrd in forum AutoCAD Civil 3D - General
    Replies: 3
    Last Post: 2005-12-16, 05:34 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •